%define module_name Crypt-OpenSSL-Base-Func
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libssl-devel perl(Carp.pm) perl(Crypt/OpenSSL/Bignum.pm) perl(Crypt/OpenSSL/EC.pm) perl(Crypt/OpenSSL/Guess.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Test.pm) perl(Test/More.pm) perl(bignum.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.037
Release: alt2
Summary: Base Functions, using the OpenSSL libraries
Group: Development/Perl
License: see LICENSE
URL: http://github.com/abbypan/Crypt-OpenSSL-Base-Func

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABBYPAN/%{module_name}-%{version}.tar.gz

%description
Use OpenSSL libraries, for the function defined in:

RFC4493 : aes_cmac

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.pod
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.037-alt2
- rebuild with perl 5.38

* Mon Aug 21 2023 Igor Vlasenko <viy@altlinux.org> 0.037-alt1
- updated by package builder

* Fri May 20 2022 Igor Vlasenko <viy@altlinux.org> 0.035-alt1
- updated by package builder

* Mon Apr 18 2022 Igor Vlasenko <viy@altlinux.org> 0.034-alt1
- updated by package builder

* Thu Apr 14 2022 Igor Vlasenko <viy@altlinux.org> 0.033-alt1
- updated by package builder

* Mon Apr 11 2022 Igor Vlasenko <viy@altlinux.org> 0.032-alt1
- updated by package builder

* Thu Apr 07 2022 Igor Vlasenko <viy@altlinux.org> 0.031-alt1
- updated by package builder

* Mon Apr 04 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt2
- rebuild with perl 5.34.0

* Wed Mar 03 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2
- rebuild with perl 5.30

* Mon Aug 19 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

